Debian Bug report logs - #653435
libtinfo5: tic writes to /usr/share/terminfo by default

version graph

Package: libtinfo5; Maintainer for libtinfo5 is Craig Small <csmall@debian.org>; Source for libtinfo5 is src:ncurses.

Reported by: Sven Joachim <svenjoac@gmx.de>

Date: Wed, 28 Dec 2011 09:48:01 UTC

Severity: normal

Found in version ncurses/5.9-4

Fixed in version ncurses/5.9-5

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, svenjoac@gmx.de, Craig Small <csmall@debian.org>:
Bug#653435; Package libtinfo5. (Wed, 28 Dec 2011 09:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
New Bug report received and forwarded. Copy sent to svenjoac@gmx.de, Craig Small <csmall@debian.org>. (Wed, 28 Dec 2011 09:48:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libtinfo5: tic writes to /usr/share/terminfo by default
Date: Wed, 28 Dec 2011 10:45:22 +0100
Package: libtinfo5
Version: 5.9-4
Severity: normal

Configuring ncurses --with-default-terminfo-dir=/usr/share/terminfo, as
we have been doing since 5.7+20100313-1, has the unfortunate side effect
that tic(1) writes to /usr/share/terminfo instead of /etc/terminfo by
default when run as root (overridable with the -o option).

I'm reluctant to revert the change, since that would mean reintroducing
bug #509919.  Maybe a new option for `configure' is necessary after all.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.2.0-rc7-nouveau (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libtinfo5 depends on:
ii  libc6              2.13-24
ii  multiarch-support  2.13-24

libtinfo5 recommends no packages.

libtinfo5 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#653435; Package libtinfo5. (Wed, 28 Dec 2011 10:39:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 28 Dec 2011 10:39:18 GMT) Full text and rfc822 format available.

Message #10 received at 653435@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 653435@bugs.debian.org
Cc: 653435-submitter@bugs.debian.org
Subject: Re: Bug#653435: libtinfo5: tic writes to /usr/share/terminfo by default
Date: Wed, 28 Dec 2011 05:37:31 -0500
[Message part 1 (text/plain, inline)]
On Wed, Dec 28, 2011 at 10:45:22AM +0100, Sven Joachim wrote:
> Package: libtinfo5
> Version: 5.9-4
> Severity: normal
> 
> Configuring ncurses --with-default-terminfo-dir=/usr/share/terminfo, as
> we have been doing since 5.7+20100313-1, has the unfortunate side effect
> that tic(1) writes to /usr/share/terminfo instead of /etc/terminfo by
> default when run as root (overridable with the -o option).
> 
> I'm reluctant to revert the change, since that would mean reintroducing
> bug #509919.  Maybe a new option for `configure' is necessary after all.

perhaps - I recall some discussion, but it was somewhat after 20110404
(which seems to be what you're packaging).  I made some improvements in
the area in September based on what I was doing with tctest, and made a
fix to a late change in _that_ in November.

A related problem that I ran into was limiting ncurses to just the
terminal database that I wanted to use for testing.

In the current version, I have added options to tic and infocmp to print
the list of database locations that they might use.  (I have other
improvements in mind).

That would be helpful in this area, though not quite the solution you
have in mind.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Sven Joachim <svenjoac@gmx.de>:
Bug#653435. (Wed, 28 Dec 2011 10:39:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#653435; Package libtinfo5. (Sun, 22 Jan 2012 16:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 22 Jan 2012 16:03:07 GMT) Full text and rfc822 format available.

Message #18 received at 653435@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 653435@bugs.debian.org, Thomas Dickey <dickey@his.com>
Subject: Re: Bug#653435: libtinfo5: tic writes to /usr/share/terminfo by default
Date: Sun, 22 Jan 2012 17:00:41 +0100
On 2011-12-28 10:45 +0100, Sven Joachim wrote:

> Package: libtinfo5
> Version: 5.9-4
> Severity: normal
>
> Configuring ncurses --with-default-terminfo-dir=/usr/share/terminfo, as
> we have been doing since 5.7+20100313-1, has the unfortunate side effect
> that tic(1) writes to /usr/share/terminfo instead of /etc/terminfo by
> default when run as root (overridable with the -o option).
>
> I'm reluctant to revert the change, since that would mean reintroducing
> bug #509919.

Looking closer, it seems to me I have now found the root cause of
#509919.  In misc/gen-edit.sh, the tabset directory is computed from the
default terminfo directory, but misc/Makefile.in actually installs the
tabset files into ${datadir}/tabset which is not necessarily the same
place.

The following patch removes this discrepancy and seems to DTRT:

--8<---------------cut here---------------start------------->8---
diff --git a/misc/Makefile.in b/misc/Makefile.in
index 14c8e95..2d88848 100644
--- a/misc/Makefile.in
+++ b/misc/Makefile.in
@@ -120,7 +120,7 @@ terminfo.tmp : run_tic.sed $(source)
 
 run_tic.sed :
 	WHICH_XTERM=@WHICH_XTERM@ \
-	ticdir=${ticdir} \
+	datadir=${datadir} \
 	$(SHELL) $(srcdir)/gen_edit.sh >$@
 
 $(DESTDIR)$(bindir) \
diff --git a/misc/gen_edit.sh b/misc/gen_edit.sh
index e9b3390..e03028d 100755
--- a/misc/gen_edit.sh
+++ b/misc/gen_edit.sh
@@ -37,12 +37,12 @@
 #	The leaf directory names (lib, tabset, terminfo)
 #
 
-: ${ticdir=@TERMINFO@}
+: ${datadir=@datadir@}
 : ${xterm_new=@WHICH_XTERM@}
 
 # If we're not installing into /usr/share/, we'll have to adjust the location
 # of the tabset files in terminfo.src (which are in a parallel directory).
-TABSET=`echo $ticdir | sed -e 's%/terminfo$%/tabset%'`
+TABSET=${datadir}/tabset
 if test "x$TABSET" != "x/usr/share/tabset" ; then
 cat <<EOF
 s%/usr/share/tabset%$TABSET%g
--8<---------------cut here---------------end--------------->8---
 
Thomas, what do you think of that?

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#653435; Package libtinfo5. (Sun, 22 Jan 2012 17:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 22 Jan 2012 17:39:08 GMT) Full text and rfc822 format available.

Message #23 received at 653435@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 653435@bugs.debian.org
Cc: Thomas Dickey <dickey@his.com>
Subject: Re: Bug#653435: libtinfo5: tic writes to /usr/share/terminfo by default
Date: Sun, 22 Jan 2012 12:34:32 -0500
[Message part 1 (text/plain, inline)]
On Sun, Jan 22, 2012 at 05:00:41PM +0100, Sven Joachim wrote:
> On 2011-12-28 10:45 +0100, Sven Joachim wrote:
> 
> > Package: libtinfo5
> > Version: 5.9-4
> > Severity: normal
> >
> > Configuring ncurses --with-default-terminfo-dir=/usr/share/terminfo, as
> > we have been doing since 5.7+20100313-1, has the unfortunate side effect
> > that tic(1) writes to /usr/share/terminfo instead of /etc/terminfo by
> > default when run as root (overridable with the -o option).
> >
> > I'm reluctant to revert the change, since that would mean reintroducing
> > bug #509919.
> 
> Looking closer, it seems to me I have now found the root cause of
> #509919.  In misc/gen-edit.sh, the tabset directory is computed from the
> default terminfo directory, but misc/Makefile.in actually installs the
> tabset files into ${datadir}/tabset which is not necessarily the same
> place.
> 
> The following patch removes this discrepancy and seems to DTRT:

...
> Thomas, what do you think of that?
 
I agree (seems to work).  Checking the history, I see that chunk dates
from 2004, and was originally from run_tic.sh in 1996.

(It seems there's never been a good reason to make the tabset directory's
location separately configurable).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Mon, 23 Jan 2012 17:33:03 GMT) Full text and rfc822 format available.

Message sent on to Sven Joachim <svenjoac@gmx.de>:
Bug#653435. (Mon, 23 Jan 2012 17:33:08 GMT) Full text and rfc822 format available.

Message #28 received at 653435-submitter@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 653435-submitter@bugs.debian.org
Subject: Bug#653435 marked as pending
Date: Mon, 23 Jan 2012 17:31:18 +0000
tag 653435 pending
thanks

Hello,

Bug #653435 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=0e727a0

---
commit 0e727a03434409c95388574bd2195e334fb35543
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Mon Jan 23 17:34:25 2012 +0100

    Configure "--with-default-terminfo-dir=/etc/terminfo" again
    
    Switching to /usr/share/terminfo was bad because tic should write to
    /etc/terminfo by default, even though it took 21 months for this to
    get noticed.
    
    To prevent http://bugs.debian.org/509919 from reoccurring, correct the
    tabset directory in compiled terminfo files to /usr/share/tabset in
    the new patch 04-fix-tabset-directory.diff.

diff --git a/debian/changelog b/debian/changelog
index a845fea..9149f15 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+ncurses (5.9-5) UNRELEASED; urgency=low
+
+  * Configure with /etc/terminfo as default terminfo dir
+    (Closes: #653435, #654672).
+    - New patch 04-fix-tabset-directory.diff to prevent incorrect tabset
+      directory in compiled terminfo descriptions (see #509919).
+
+ -- Sven Joachim <svenjoac@gmx.de>  Mon, 23 Jan 2012 17:32:46 +0100
+
 ncurses (5.9-4) unstable; urgency=low
 
   * Create debian/libtermcap.so at build time rather than trying to ship




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#653435; Package libtinfo5. (Mon, 23 Jan 2012 17:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 23 Jan 2012 17:48:07 GMT) Full text and rfc822 format available.

Message #33 received at 653435@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: dickey@his.com
Cc: 653435@bugs.debian.org
Subject: Re: Bug#653435: libtinfo5: tic writes to /usr/share/terminfo by default
Date: Mon, 23 Jan 2012 18:47:05 +0100
On 2012-01-22 18:34 +0100, Thomas Dickey wrote:

> On Sun, Jan 22, 2012 at 05:00:41PM +0100, Sven Joachim wrote:
>> On 2011-12-28 10:45 +0100, Sven Joachim wrote:
>> 
>> > Package: libtinfo5
>> > Version: 5.9-4
>> > Severity: normal
>> >
>> > Configuring ncurses --with-default-terminfo-dir=/usr/share/terminfo, as
>> > we have been doing since 5.7+20100313-1, has the unfortunate side effect
>> > that tic(1) writes to /usr/share/terminfo instead of /etc/terminfo by
>> > default when run as root (overridable with the -o option).
>> >
>> > I'm reluctant to revert the change, since that would mean reintroducing
>> > bug #509919.
>> 
>> Looking closer, it seems to me I have now found the root cause of
>> #509919.  In misc/gen-edit.sh, the tabset directory is computed from the
>> default terminfo directory, but misc/Makefile.in actually installs the
>> tabset files into ${datadir}/tabset which is not necessarily the same
>> place.
>> 
>> The following patch removes this discrepancy and seems to DTRT:
>
> ...
>> Thomas, what do you think of that?
>  
> I agree (seems to work).  Checking the history, I see that chunk dates
> from 2004, and was originally from run_tic.sh in 1996.

For the record, I have applied the patch in our git repository.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#653435; Package libtinfo5. (Mon, 23 Jan 2012 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 23 Jan 2012 22:39:03 GMT) Full text and rfc822 format available.

Message #38 received at 653435@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>
Cc: dickey@his.com, 653435@bugs.debian.org
Subject: Re: Bug#653435: libtinfo5: tic writes to /usr/share/terminfo by default
Date: Mon, 23 Jan 2012 17:34:42 -0500
[Message part 1 (text/plain, inline)]
On Mon, Jan 23, 2012 at 06:47:05PM +0100, Sven Joachim wrote:
> On 2012-01-22 18:34 +0100, Thomas Dickey wrote:
> 
> > On Sun, Jan 22, 2012 at 05:00:41PM +0100, Sven Joachim wrote:
> >> On 2011-12-28 10:45 +0100, Sven Joachim wrote:
> >> 
> >> > Package: libtinfo5
> >> > Version: 5.9-4
> >> > Severity: normal
> >> >
> >> > Configuring ncurses --with-default-terminfo-dir=/usr/share/terminfo, as
> >> > we have been doing since 5.7+20100313-1, has the unfortunate side effect
> >> > that tic(1) writes to /usr/share/terminfo instead of /etc/terminfo by
> >> > default when run as root (overridable with the -o option).
> >> >
> >> > I'm reluctant to revert the change, since that would mean reintroducing
> >> > bug #509919.
> >> 
> >> Looking closer, it seems to me I have now found the root cause of
> >> #509919.  In misc/gen-edit.sh, the tabset directory is computed from the
> >> default terminfo directory, but misc/Makefile.in actually installs the
> >> tabset files into ${datadir}/tabset which is not necessarily the same
> >> place.
> >> 
> >> The following patch removes this discrepancy and seems to DTRT:
> >
> > ...
> >> Thomas, what do you think of that?
> >  
> > I agree (seems to work).  Checking the history, I see that chunk dates
> > from 2004, and was originally from run_tic.sh in 1996.
> 
> For the record, I have applied the patch in our git repository.

thanks (it'll be in the next weekly patch)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Mon, 26 Mar 2012 12:55:08 GMT) Full text and rfc822 format available.

Notification sent to Sven Joachim <svenjoac@gmx.de>:
Bug acknowledged by developer. (Mon, 26 Mar 2012 12:55:13 GMT) Full text and rfc822 format available.

Message #43 received at 653435-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 653435-close@bugs.debian.org
Subject: Bug#653435: fixed in ncurses 5.9-5
Date: Mon, 26 Mar 2012 12:19:04 +0000
Source: ncurses
Source-Version: 5.9-5

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib32ncurses5-dev_5.9-5_amd64.deb
  to main/n/ncurses/lib32ncurses5-dev_5.9-5_amd64.deb
lib32ncurses5_5.9-5_amd64.deb
  to main/n/ncurses/lib32ncurses5_5.9-5_amd64.deb
lib32ncursesw5-dev_5.9-5_amd64.deb
  to main/n/ncurses/lib32ncursesw5-dev_5.9-5_amd64.deb
lib32ncursesw5_5.9-5_amd64.deb
  to main/n/ncurses/lib32ncursesw5_5.9-5_amd64.deb
lib32tinfo-dev_5.9-5_amd64.deb
  to main/n/ncurses/lib32tinfo-dev_5.9-5_amd64.deb
lib32tinfo5_5.9-5_amd64.deb
  to main/n/ncurses/lib32tinfo5_5.9-5_amd64.deb
libncurses5-dbg_5.9-5_amd64.deb
  to main/n/ncurses/libncurses5-dbg_5.9-5_amd64.deb
libncurses5-dev_5.9-5_amd64.deb
  to main/n/ncurses/libncurses5-dev_5.9-5_amd64.deb
libncurses5_5.9-5_amd64.deb
  to main/n/ncurses/libncurses5_5.9-5_amd64.deb
libncursesw5-dbg_5.9-5_amd64.deb
  to main/n/ncurses/libncursesw5-dbg_5.9-5_amd64.deb
libncursesw5-dev_5.9-5_amd64.deb
  to main/n/ncurses/libncursesw5-dev_5.9-5_amd64.deb
libncursesw5_5.9-5_amd64.deb
  to main/n/ncurses/libncursesw5_5.9-5_amd64.deb
libtinfo-dev_5.9-5_amd64.deb
  to main/n/ncurses/libtinfo-dev_5.9-5_amd64.deb
libtinfo5-dbg_5.9-5_amd64.deb
  to main/n/ncurses/libtinfo5-dbg_5.9-5_amd64.deb
libtinfo5_5.9-5_amd64.deb
  to main/n/ncurses/libtinfo5_5.9-5_amd64.deb
ncurses-base_5.9-5_all.deb
  to main/n/ncurses/ncurses-base_5.9-5_all.deb
ncurses-bin_5.9-5_amd64.deb
  to main/n/ncurses/ncurses-bin_5.9-5_amd64.deb
ncurses-doc_5.9-5_all.deb
  to main/n/ncurses/ncurses-doc_5.9-5_all.deb
ncurses-examples_5.9-5_amd64.deb
  to main/n/ncurses/ncurses-examples_5.9-5_amd64.deb
ncurses-term_5.9-5_all.deb
  to main/n/ncurses/ncurses-term_5.9-5_all.deb
ncurses_5.9-5.debian.tar.gz
  to main/n/ncurses/ncurses_5.9-5.debian.tar.gz
ncurses_5.9-5.dsc
  to main/n/ncurses/ncurses_5.9-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653435@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 28 Feb 2012 20:36:51 +0100
Source: ncurses
Binary: libncurses5 libtinfo5 libtinfo-dev libtinfo5-dbg libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev lib64tinfo5 lib32tinfo5 lib32tinfo-dev ncurses-bin ncurses-base ncurses-term ncurses-examples ncurses-doc
Architecture: source amd64 all
Version: 5.9-5
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib32tinfo-dev - developer's library for the low-level terminfo library (32-bit)
 lib32tinfo5 - shared low-level terminfo library for terminal handling (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 lib64tinfo5 - shared low-level terminfo library for terminal handling (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncursesw
 libncursesw5-dev - developer's libraries for ncursesw
 libtinfo-dev - developer's library for the low-level terminfo library
 libtinfo5  - shared low-level terminfo library for terminal handling
 libtinfo5-dbg - debugging/profiling library for the low-level terminfo library
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-doc - developer's guide and documentation for ncurses
 ncurses-examples - test programs and examples for ncurses
 ncurses-term - additional terminal type definitions
Closes: 580190 614316 653435 654672
Changes: 
 ncurses (5.9-5) unstable; urgency=low
 .
   * Configure with /etc/terminfo as default terminfo dir
     (Closes: #653435, #654672).
     - New patch 04-fix-tabset-directory.diff to prevent incorrect tabset
       directory in compiled terminfo descriptions (see #509919).
   * Mention in debian/README.source that a non-standard autoconf version is
     required to regenerate 'configure' (Closes: #580190).
   * New patch 00-terminfo-update.diff, updating terminfo descriptions to
     the 20120211 upstream patchlevel.
     - Includes entries for gnu-mach and gnu-mach-color, installed into
       the ncurses-base package (Closes: #614316).
   * Update xterm.ti from xterm 276.  All xterm-* terminfo entries should
     have kbs=\177 now.  Update patch 02-debian-backspace.diff accordingly.
   * Drop patch 05-emdebian-wchar.diff, no longer needed.
   * Protect shell loops in debian/rules with "set -e" to ensure that
     any errors in them are caught (see Policy §4.6).
   * Upgrade Standards-Version to 3.9.3, no changes needed.
Checksums-Sha1: 
 e4bde525e8670c2888f218992f50c6351af7fcf2 3093 ncurses_5.9-5.dsc
 a33f27d853fe8d1280b0d9371353707e3fd8499b 76552 ncurses_5.9-5.debian.tar.gz
 a492089ecf3617d9c0406e5bb97c2bbacd4d936f 297776 libncurses5_5.9-5_amd64.deb
 737dab75ec61ffea4d14382c36de2ca1f5dc09ee 272986 libtinfo5_5.9-5_amd64.deb
 e33173691cf55b1137fec2d52a3d204b511b9825 102726 libtinfo-dev_5.9-5_amd64.deb
 b039e8ca03c7467eee3cf88322c7a6cd89feaeee 681274 libtinfo5-dbg_5.9-5_amd64.deb
 f42d2619ee1eb4242d77b1fd57e501650ef304d9 405930 libncurses5-dev_5.9-5_amd64.deb
 1ccabf7a04a0bd454ddd9e030a16177972237237 3124346 libncurses5-dbg_5.9-5_amd64.deb
 f0d536a35f2817fb663b2a05d170327f451ee770 322088 libncursesw5_5.9-5_amd64.deb
 556614d2e7e365c41909d7a57031db3ff8ff2288 438082 libncursesw5-dev_5.9-5_amd64.deb
 a40fe2ce7018da5304ea554835a9d49246d576af 2221912 libncursesw5-dbg_5.9-5_amd64.deb
 e38d77a63c2f94621ebafcce77e0dc196f38d218 297682 lib32ncurses5_5.9-5_amd64.deb
 89010344073487cb125ee163e6d8776a7a15d20b 332332 lib32ncurses5-dev_5.9-5_amd64.deb
 bfe1a4cb16b9736027738768bd03e622078a954b 327766 lib32ncursesw5_5.9-5_amd64.deb
 4b1c8619e43f1f4f9edd95b067c9385f21549dd5 365806 lib32ncursesw5-dev_5.9-5_amd64.deb
 2d159cf308f7bf24aa006ce7045a811ba11d72b0 268260 lib32tinfo5_5.9-5_amd64.deb
 a04101b13868a11252decc3159dabb9c667b1461 91424 lib32tinfo-dev_5.9-5_amd64.deb
 be060cd390492d1921d31e9513e20377dfce2dab 333904 ncurses-bin_5.9-5_amd64.deb
 cc5682f5efccfa0fe45778440f0aea6ba3bd8bd3 445206 ncurses-examples_5.9-5_amd64.deb
 983bbeb5ed2e1f3cad49e1557205c40516d8c250 198118 ncurses-base_5.9-5_all.deb
 b5a2b6110af41c3fcf0ca8e18d2d3f5b694231b1 599692 ncurses-term_5.9-5_all.deb
 821da17c4b52e58083279f60f34ce6ea8a0ab251 1009514 ncurses-doc_5.9-5_all.deb
Checksums-Sha256: 
 adfd4da0d8d788e07ab8370d54ca297df79e603d655f1c9de9781fdc1ed9a8b5 3093 ncurses_5.9-5.dsc
 c2a2fa0df1e9b67ed85b25d9c03bc5243380c893355d7247f6177ab285e8f0e0 76552 ncurses_5.9-5.debian.tar.gz
 edd5596563e672bc3ae195e4c735102fbb36b705d99ac6b9c34624c547959aaa 297776 libncurses5_5.9-5_amd64.deb
 5c6e9926ebdc61e6de07276db760c45dd83e03ee8aedaec86c9d26607b1fcccf 272986 libtinfo5_5.9-5_amd64.deb
 5940255b269e59536b87e36ab51e44059c9fedfe33150e788c9f107a8702932e 102726 libtinfo-dev_5.9-5_amd64.deb
 ea2ba1bf88c6396dca6d8ec396853dd32eb937570120298c664d69a153e29901 681274 libtinfo5-dbg_5.9-5_amd64.deb
 3e51bff7caf1bea9be81cac857539539543bc88351ee5c65f98249c5c8a2c25e 405930 libncurses5-dev_5.9-5_amd64.deb
 6ad1d78641ba3deeb46a93f4cf339a9a8eda670e39af4709b91db862a42ccd31 3124346 libncurses5-dbg_5.9-5_amd64.deb
 b19c4090d44acec016b6e5b6e6d1f11a082001959415000190e197c50fc2ffb5 322088 libncursesw5_5.9-5_amd64.deb
 0c67f9547eef8e5fe04bae86297f91ac16d0a3166d77b6c2dc639466dfd10e33 438082 libncursesw5-dev_5.9-5_amd64.deb
 be3cd8e4850cea031554fabeb6c5c3aa0d3e80aa3412b8602bb848c58728f5c3 2221912 libncursesw5-dbg_5.9-5_amd64.deb
 0e7c48143c0ffe484ad6d950ff2a334370eee371530c89da18772e2fe16dc899 297682 lib32ncurses5_5.9-5_amd64.deb
 72656f856300aa2ed5bf4cdcd9ea5516e896341c40cd7cc5644f302fb98052be 332332 lib32ncurses5-dev_5.9-5_amd64.deb
 9ed0b15402179093bf2b113a76e5670d831616e5108c6bdc17e89b62e4ecd193 327766 lib32ncursesw5_5.9-5_amd64.deb
 1203e33fa59f3fd0714c9caecc3cdfc24d9889bc3352c67d498f914d8a529c50 365806 lib32ncursesw5-dev_5.9-5_amd64.deb
 ab73aa606ff1a090847292d4c53e9ff10a997295b733df4fcabe749470d17616 268260 lib32tinfo5_5.9-5_amd64.deb
 f20fc92fe7614f8de42851a3fdd873d633e4085557bc34f475cb926e66ea3101 91424 lib32tinfo-dev_5.9-5_amd64.deb
 ced460ad40e35e249bedc6b7f58307ee54290549c002485ef7e96971b4094833 333904 ncurses-bin_5.9-5_amd64.deb
 2adec4fdbc1c51dbe5b84f60187e3286b4934d563272a8c04cd18ef91084ec1b 445206 ncurses-examples_5.9-5_amd64.deb
 d3bc95f14f21415ea200f0b795b81fa4be9dd321273520cb4174f33abfcefa90 198118 ncurses-base_5.9-5_all.deb
 9769ec16d34ee0cd9f1e47a5e192ce97af8e13476c325c4ee4f4a350f6a0040e 599692 ncurses-term_5.9-5_all.deb
 6da08dbeed84247750663cb783628b32d4de87af6ac1e3a139b6ada348aadd35 1009514 ncurses-doc_5.9-5_all.deb
Files: 
 7934817933a6014f64789e1c51ca7ab1 3093 libs required ncurses_5.9-5.dsc
 adb21b8e9523be1beecffa8edf3230b2 76552 libs required ncurses_5.9-5.debian.tar.gz
 fc8e135ea54bbcb5eb102e45716ab75c 297776 libs required libncurses5_5.9-5_amd64.deb
 6c2512f04b8b82c7ec52de392f764ab8 272986 libs required libtinfo5_5.9-5_amd64.deb
 25b1b88a850f57748c4cbda8a141a8c2 102726 libdevel optional libtinfo-dev_5.9-5_amd64.deb
 5682a3940e45410cca27aedeaec05c14 681274 debug extra libtinfo5-dbg_5.9-5_amd64.deb
 42f66ef4875fe08724a9fd72be67a098 405930 libdevel optional libncurses5-dev_5.9-5_amd64.deb
 02d0462f7ec23b26bafc50e6ef0b4b4e 3124346 debug extra libncurses5-dbg_5.9-5_amd64.deb
 f954ba43c1da0faeb9ae47009919b3e6 322088 libs important libncursesw5_5.9-5_amd64.deb
 66988b2a9f0aeadb286d5ce6c915a2d5 438082 libdevel optional libncursesw5-dev_5.9-5_amd64.deb
 e2a9faf67584cdf40288e6803cdcad0d 2221912 debug extra libncursesw5-dbg_5.9-5_amd64.deb
 43a90542e5d7a16c19753ed6b68c4a6f 297682 libs optional lib32ncurses5_5.9-5_amd64.deb
 d5da89d7a5ab8aa2bf66e5ea05481416 332332 libdevel optional lib32ncurses5-dev_5.9-5_amd64.deb
 372a4f1c65791454d8d004ef99ecf0a9 327766 libs optional lib32ncursesw5_5.9-5_amd64.deb
 9d4688c5362b51d5d1fa4eb49805f2d9 365806 libdevel optional lib32ncursesw5-dev_5.9-5_amd64.deb
 92020fa785bf0d851ad2841e5f2d8faa 268260 libs optional lib32tinfo5_5.9-5_amd64.deb
 cd3ac5149f7a0763fd177aef25f8bb25 91424 libdevel optional lib32tinfo-dev_5.9-5_amd64.deb
 6aef22a957ef1437af672a7b54d4baa8 333904 utils required ncurses-bin_5.9-5_amd64.deb
 76c0ccc1487e40a7fc4f5e2a06de35c8 445206 misc optional ncurses-examples_5.9-5_amd64.deb
 4a5ef368179652585330ce209476284b 198118 utils required ncurses-base_5.9-5_all.deb
 249c78e54add4cddc9066b63f6a6c53f 599692 admin standard ncurses-term_5.9-5_all.deb
 4ed616b1f4bed3d9a69f1137aae0cfbb 1009514 doc optional ncurses-doc_5.9-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPcFnEAAoJEDk4+WvfUP6lzRsP/3DFV2E6NVgt48d24qHMr07u
WNzB71bY15DAwSNHExT84GKjuiOTwMQyEZ3p4XThp5m97WbcQX8EEQuxFwAYG7gG
PhezNcPsXFdQ3+T1nEYK/UcH4PjSHtW+y+bLTLGNhwe59yJHR36lQVy+MFOP1eSo
lZxSGEdKSF8tcNoelbAeI9rsOUdjkhMmgBqCfWEWKtSwU4tP0R0uLckJfZZFd31M
vdd9/ILVGbb3yMHNaxXwJ4DnEarxKjLM6Y4f4MAnsa3iozLpUePbq88H2Hxf34jh
w/2S/bWN2JEngatYIaIeFpn5TeNrOJz1jBU56av6EY48OEG78b7CWqRSt/b/AhrY
AszgnrQvraNvvX6SUxcs0y2Bf8WvBFuaSdP1MBrcBXmDBJzouJoqOfYMKS5M1u8l
Nei7HV36edzDJt33HZWF/NNXSVz4q6H4wHtVUK0vYLq7V2z8Q9yrjN+JeqPADwU2
9yH+3qriLjTtTeQ65+LrLZS9IJdRhHwortiROeEqGqJhILwHU0bpa4pvjHsjkE6z
78qu1fl1FV8tB1Sxis2OnfMy5Y+e6iTmqwfUjXpl3WN9CKSCZ/R5RRTQZzt97ML7
nrPcTUzedkp8BtP92nptLW63ym2jKt5BfDoV2KAkNxjAiPMq8qtIDcrUNn7XNQ6u
KTD91g/G0Psa+a+EpGYf
=FvDb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Apr 2012 07:36:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:28:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.